import { provide as s, inject as a, computed as t } from "vue";
const r = /* @__PURE__ */ Symbol("apTableContextKey");
function n(o) {
  s(r, o);
}
const e = () => {
};
function c() {
  return a(r, {
    columns: t(() => []),
    updateColumns: e,
    size: t(() => "middle"),
    updateSize: e,
    dataSource: void 0,
    renderConfig: void 0,
    getSearchFormValues: () => {
    },
    setSearchFormValues: e,
    submit: e,
    reset: e,
    refresh: e,
    getSearchFormSorterItems: () => [],
    setSearchFormSorterItems: e,
    resetSearchFormSorterItems: e,
    getLastParams: () => ({})
  });
}
export {
  r as ApTableContextKey,
  c as useInjectApTable,
  n as useProvideApTable
};
